package moviego

type Ordered interface {
    int | int8 | int16 | int32 | int64 | uint | uint8 | uint16 | uint32 | uint64 | uintptr | float32 | float64 | string
}

func InArray[T Ordered](needle T, haystack []T) bool {
    for _, val := range haystack {
        if val == needle {
            return true
        }
    }
    return false
}

func Keys[M ~map[K]V, K comparable, V any](m M) []K {
    r := make([]K, 0, len(m))
    for k := range m {
        r = append(r, k)
    }
    return r
}
